Name:		dkms-vzvirtio_balloon
# Be careful: version used from git tag!!!
Version: 0.20
Release:	1%{?dist}
Summary:	vzvirtio_balloon kernel module

Group:		System Environment/Kernel
License:	GPLv2+
URL:		http://vzvirtio_balloon.sourceforge.net/
Source0:	vzvirtio_balloon.tar.gz
Source1:	vzballoon_blacklist
Source2:	vzballoon_blacklist.service
BuildArch:	noarch
Requires:	gcc, make
Requires(post):	dkms
Requires(preun): dkms

%description
Improved virtio_balloon driver for VM guests.

%prep
%setup -q -n vzvirtio_balloon/centos_7.2

%build

%install
rm -rf %{buildroot}
%define dkms_name vzvirtio_balloon
%define dkms_vers %{version}-%{release}
#%define quiet -q

# Kernel module sources install for dkms
mkdir -p %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
cp -a  * %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Configuration for dkms
cat > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
BUILT_MODULE_NAME[0]=%{dkms_name}
DEST_MODULE_LOCATION[0]=/kernel/drivers/virtio
AUTOINSTALL="YES"
EOF

mkdir -p $RPM_BUILD_ROOT/usr/libexec/
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/usr/libexec/
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/%{_unitdir}

%clean
rm -rf %{buildroot}

%post
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} --rpm_safe_upgrade
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet}
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force

%systemd_post vzballoon_blacklist.service
if [ $1 = 1 ] ; then
	systemctl enable vzballoon_blacklist.service >/dev/null 2>&1
	systemctl start vzballoon_blacklist.service >/dev/null 2>&1
fi
:

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all --rpm_safe_upgrade

%systemd_preun vzballoon_blacklist.service
:

%triggerpostun -- dkms-vzvirtio_balloon < 0.18
# Always enable on upgrade from old version with missed service
systemctl enable vzballoon_blacklist.service >/dev/null 2>&1
systemctl start vzballoon_blacklist.service >/dev/null 2>&1
:

%files
%defattr(-,root,root,-)
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
%attr(755, root, root) /usr/libexec/vzballoon_blacklist
%attr(644, root, root) %{_unitdir}/vzballoon_blacklist.service

%changelog
