%define current_version 7.0.5
%define scriptsdir /usr/lib/parallels-tools/tools/scripts
%define cloudinitdir /etc/cloud/cloud.cfg.d

%global __requires_exclude_from %{scriptsdir}/netplan-cfg.py

Name: prl_nettool
Version: %{current_version}
Release:        1.el7
Summary: Virtuozzo network configuration utility for guests
Group: System Environment/Base
License: GPLv2
Source0: %{name}-%{version}.tar.bz2
BuildRequires: iproute-devel glibc-static

%description
Virtuozzo network configuration utility for guests.

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} -f Makefile.Linux

%install
make DESTDIR=$RPM_BUILD_ROOT -f Makefile.Linux install

%files
%defattr(-, root, root, -)
%{_sbindir}/%{name}
%{scriptsdir}
%{cloudinitdir}/*

%changelog
* Mon Feb 18 2019 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.5-1
- Do not stop/start NM in case it has already been disabled #PSBM-91824

* Fri Dec 14 2018 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.4-18
- Added support for setting dns/hostname via NetworkManager #PSBM-90148
- nm-set_dns.sh failed to work with multiple active interfaces #PSBM-90321

* Fri Oct  5 2018 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>  7.0.4-16
- Introduce netplan support for debian systems #PSBM-87360
- Exclude python from auto dependencies generator #PSBM-89235

* Fri Jul 27 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-15
- Interfaces cleanup must not depend on indentation #PSBM-87157

* Thu May 25 2017 Konstantin Vlasov <konstantin.vlasov@virtuozzo.com> 7.0.4-13
- Update contacts and copyrights
- Clear adapter from disable list only if "netsh enable" succeed #PSBM-53710

* Fri Oct 14 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-12
- Clear ip list and set method in one nmcli command #PSBM-53683

* Thu Oct 13 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-11
- Set manual method only together with IP(s) set, see #PSBM-53565

* Tue Oct 11 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-10
- Force to set connection method prior to IP addresses setup, see #PSBM-53152

* Tue Jun 28 2016 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.4-9
- Disable cloud-init network config #PSBM-48878

* Tue Jun 28 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-8
- If NetworkManager is offline, try to wait for it and re-run nmcli, #PSBM-48372

* Thu Jun 23 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-7
- Add check on DHCPv4 to redhat set ip script. #PSBM-48525
- Fix wait of DHCP for some cases. #PSBM-47938

* Thu Jun 16 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.4-6
- Add restart for separate interface to debian scripts. #PSBM-24502
- Clear old NM config if network interface were recreated. #PSBM-48328

* Thu Jun 16 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.4-5
- Remove service which re-allows NetworkManager read ifcfg-*, #PSBM-48444

* Tue Jun 14 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-4
- Fix ip=remove parsing for NetworkManager, #PSBM-48155
- Run ipconfig /renew to refresh dns search list #PSBM-48116

* Tue Jun  7 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-3
- Fix clean IP and GW for iface configured by DHCP #PSBM-47770

* Tue Apr 19 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-2
- Remove unnecessary call of nmcli see up in check and create
  NM config function. #PSBM-45836

* Tue Apr 12 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-1
- fix create_nm_if_config logic

* Wed Mar 16 2016 Alexander Pisarev <apisarev@virtuozzo.com> - 7.0.2-4
- Fix IPv6 set and dhcp IP change on reconfig in NM. #PSBM-45066

* Thu Feb 25 2016 Alexander Pisarev <apisarev@virtuozzo.com> - 7.0.2-3
- Fix sequence of service start. #PSBM-44553

* Tue Feb 23 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.2-2
- Fix lost of default interface configuration in NM, see #PSBM-44508

* Mon Feb 22 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.2
 - Add nameservers/searchdomains to dhclient.conf, #PSBM-43663
 - Fix set ip for VM with NM and interface method link-local. #PSBM-44221
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add precompile if to call rtnl_dump_filter with correct arg number for
libnetlink versions. #PSBM-44221 (Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add support of Network Manager for RedHat based OS. #PSBM-44221 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Fix IP receives from dhcp on a Debian VM with tools. #PSBM-39227 (Aleksander
Pisarev <apisarev@virtuozzo.com>)
 - BUGFIX #PSBM-43173 Do not disable network manager starting from CentOS 7
(Inga Pyass <ipyass@virtuozzo.com>)

* Fri Feb 19 2016 Alexander <apisarev@vitruozzo.com> 7.0.1-7
- Fixed ip set for VM with NM on interface with method link-local #PSBM-44221

* Fri Feb 19 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-6
- Set fixed dist suffix to el7 #PSBM-44221

* Thu Feb 18 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-5
- Add no-auto-default option to NW config to prevent creation of in-memory configurations #PSBM-44352

* Tue Feb 16 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-4
- Add Network Manager support in RH based OSes and config to disable ifcfg-rh plugin #PSBM-44221

* Fri Jan 22 2016 Konstantin <wolf@parallels.com> 7.0.1-3
- Do not disable network manager starting from CentOS 7 #PSBM-43173

* Wed Dec  9 2015 Konstantin <wolf@parallels.com> 7.0.1-2
- Fixed secondary IPv4 addresses removal on switch to DHCP #PSBM-42096

* Mon Nov 09 2015 Konstantin <wolf@parallels.com> 7.0.1-1
 - Initial version

