%define current_version 7.0.5
%define scriptsdir /usr/lib/parallels-tools/tools/scripts
%define cloudinitdir /etc/cloud/cloud.cfg.d

%define _source_payload w7.gzdio
%define _binary_payload w7.gzdio
%define _source_filedigest_algorithm  1
%define _binary_filedigest_algorithm  1

Name: prl_nettool
Version: %{current_version}
Release:        1.el6
Summary: Virtuozzo network configuration utility for guests
Group: System Environment/Base
License: GPLv2
Source: %{name}-%{version}.tar.bz2
BuildRequires: iproute-devel glibc-static

%description
Virtuozzo network configuration utility for guests.

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} -f Makefile.Linux

%install
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT -f Makefile.Linux install
rm -f $RPM_BUILD_ROOT/%{scriptsdir}/netplan-cfg.py

%files
%defattr(-, root, root, -)
%{_sbindir}/%{name}
%{scriptsdir}
%{cloudinitdir}/*

%changelog
* Mon Feb 18 2019 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.5-1
- Do not stop/start NM in case it has already been disabled #PSBM-91824

* Fri Dec 14 2018 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.4-10
- Added support for setting dns/hostname via NetworkManager #PSBM-90148
- nm-set_dns.sh failed to work with multiple active interfaces #PSBM-90321

* Fri Oct  5 2018 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.4-8
- Introduce netplan support for debian systems #PSBM-87360
- Exclude python from auto dependencies generator #PSBM-89235

* Fri Jul 27 2018 Konstantin Volkov <wolf@virtuozzo.com>  7.0.4-7
- Interfaces cleanup must not depend on indentation #PSBM-87157

* Wed Jun 27 2018 Konstantin Vlasov <konstantin.vlasov@virtuozzo.com> 7.0.4-6
- Switched to ALT Linux compatible gzip payload compression, #ROSP-225

* Thu May 25 2017 Konstantin Vlasov <konstantin.vlasov@virtuozzo.com> 7.0.4-5
- Update contacts and copyrights
- Clear adapter from disable list only if "netsh enable" succeed #PSBM-53710
- Clear ip list and set method in one nmcli command #PSBM-53683
- Force to set connection method prior to IP addresses setup, see #PSBM-53152
- Fixed nm restart, correct checks for need_restart, see #PSBM-52395
- Disable ifupdown plugin, drop native configuration before NetworkManager, see #PSBM-52395
- Perform nmcli connection reload, drop common nm connections related to configured iface, see #PSBM-52004
- Drop old-style iface records also from interfaces.d, see #PSBM-52004
- Wait for PNP and SCM start completed before prl_nettool #PSBM-50721

* Tue Jun 28 2016 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.4-4
- Disable cloud-init network config #PSBM-48878

* Thu Jun 23 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-3
- Add check on DHCPv4 to redhat set ip script. #PSBM-48525
- Fix wait of DHCP for some cases. #PSBM-47938

* Tue Jun  7 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-2
- Fix clean IP and GW for iface configured by DHCP #PSBM-47770

* Tue Apr 12 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-1
- fix create_nm_if_config logic

* Mon Feb 22 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.3
 - Add nameservers/searchdomains to dhclient.conf, #PSBM-43663
 - Fix set ip for VM with NM and interface method link-local. #PSBM-44221
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add precompile if to call rtnl_dump_filter with correct arg number for
libnetlink versions. #PSBM-44221 (Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add support of Network Manager for RedHat based OS. #PSBM-44221 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Fix IP receives from dhcp on a Debian VM with tools. #PSBM-39227 (Aleksander
Pisarev <apisarev@virtuozzo.com>)
 - BUGFIX #PSBM-43173 Do not disable network manager starting from CentOS 7
(Inga Pyass <ipyass@virtuozzo.com>)

* Fri Feb 19 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-5
- Set dist suffix to el6 #PSBM-44221

* Thu Feb 18 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-4
- Split spec repo for el6 #PSBM-44221

* Fri Jan 22 2016 Konstantin <wolf@parallels.com> 7.0.1-3
- Do not disable network manager starting from CentOS 7 #PSBM-43173

* Wed Dec  9 2015 Konstantin <wolf@parallels.com> 7.0.1-2
- Fixed secondary IPv4 addresses removal on switch to DHCP #PSBM-42096

* Mon Nov 09 2015 Konstantin <wolf@parallels.com> 7.0.1-1
 - Initial version

